<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>awesome-hacking</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <h1 align="center">
      <br />
      <img
        width="200"
        src="https://cdn.rawgit.com/sindresorhus/awesome/master/media/logo.svg"
        alt="awesome"
      />
      <br />
    </h1>
    <h1 id="awesome-hacking-resources-awesome-hacking-awesome-community">
      Awesome Hacking Resources
      <img
        src="https://img.shields.io/badge/awesome-hacking-red.svg"
        alt="Awesome Hacking"
      />
      <img
        src="https://img.shields.io/badge/awesome-community-green.svg"
        alt="Awesome community"
      />
    </h1>
    <p>
      A collection of hacking / penetration testing resources to make you
      better!
    </p>
    <p>
      <strong
        >Let’s make it the biggest resource repository for our
        community.</strong
      >
    </p>
    <p>
      <strong
        >You are welcome to fork and
        <a
          href="https://github.com/vitalysim/Awesome-Hacking-Resources/blob/master/contributing.md#contribution-guidelines"
          >contribute</a
        >.</strong
      >
    </p>
    <p>
      We started a new
      <a
        href="https://github.com/vitalysim/Awesome-Hacking-Resources/blob/master/tools.md"
        >tools</a
      >
      list, come and contribute
    </p>
    <h2 id="table-of-contents">Table of Contents</h2>
    <ul>
      <li><a href="#learning-the-skills">Learning the Skills</a></li>
      <li>
        <a href="#youtube-channels">YouTube Channels</a>
        <ul>
          <li><a href="#Conferences">Conferences</a></li>
          <li><a href="#NEWS">NEWS</a></li>
        </ul>
      </li>
      <li><a href="#sharpening-your-skills">Sharpening Your Skills</a></li>
      <li>
        <a href="#reverse-engineering-buffer-overflow-and-exploit-development"
          >Reverse Engineering, Buffer Overflow and Exploit Development</a
        >
      </li>
      <li><a href="#privilege-escalation">Privilege Escalation</a></li>
      <li>
        <a href="#network-Scanning-/-Reconnaissance"
          >Network Scanning / Reconnaissance</a
        >
      </li>
      <li><a href="#malware-analysis">Malware Analysis</a></li>
      <li>
        <a href="#vulnerable-web-application">Vulnerable Web Application</a>
      </li>
      <li><a href="#vulnerable-os">Vulnerable OS</a></li>
      <li><a href="#exploits">Exploits</a></li>
      <li><a href="#forums">Forums</a></li>
      <li>
        <a href="#archived-security-conference-videos"
          >Archived Security Conference Videos</a
        >
      </li>
      <li><a href="#online-communities">Online Communities</a></li>
      <li><a href="#online-news-sources">Online News Sources</a></li>
      <li>
        <a href="#linux-penetration-testing-os">Linux Penetration Testing OS</a>
      </li>
    </ul>
    <h2 id="learning-the-skills">Learning the Skills</h2>
    <ul>
      <li>
        <a
          href="http://howto.hackallthethings.com/2016/07/learning-exploitation-with-offensive.html"
          >Learning Exploitation with Offensive Computer Security 2.0</a
        >
      </li>
      <li><a href="https://www.cybrary.it/">Cybrary</a></li>
      <li>
        <a
          href="https://www.cs.fsu.edu/~redwood/OffensiveComputerSecurity/lectures.html"
          >OffensiveComputerSecurity</a
        >
      </li>
      <li>
        <a href="http://pages.cs.wisc.edu/~ace/cs642-spring-2016.html"
          >CS 642: Intro to Computer Security</a
        >
      </li>
      <li>
        <a href="https://www.samsclass.info/">Free cyber security training</a>
      </li>
      <li><a href="http://www.securitytube.net/">SecurityTube</a></li>
      <li>
        <a href="http://www.cis.syr.edu/~wedu/seed/labs.html">Seed Labs</a>
      </li>
      <li><a href="https://www.hak5.org/">Hak5</a></li>
      <li>
        <a
          href="https://www.online.hack2secure.com/courses/owasp-top10-web-security-risk"
          >OWASP top 10 web security risks</a
        >
      </li>
      <li>
        <a
          href="https://ocw.mit.edu/courses/electrical-engineering-and-computer-science/6-858-computer-systems-security-fall-2014/"
          >MIT OCW 6.858 Computer Systems Security</a
        >
      </li>
    </ul>
    <h2 id="youtube-channels">YouTube Channels</h2>
    <ul>
      <li><a href="https://www.youtube.com/user/OWASPGLOBAL">OWASP</a></li>
      <li><a href="https://www.youtube.com/user/Hak5Darren">Hak5</a></li>
      <li>
        <a href="https://www.youtube.com/channel/UCJ6q9Ie29ajGqKApbLqfBOg"
          >BlackHat</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCEPzS1rYsrkqzSLNp76nrcg"
          >Christiaan008</a
        >
      </li>
      <li>
        Conferences <a id="Conferences"></a>
        <ul>
          <li><a href="https://www.youtube.com/user/44contv">44contv</a></li>
          <li>
            <a href="https://www.youtube.com/channel/UCqwMU1l90lf9BLersW6eAHw"
              >BruCON Security Conference</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UC1mLiimOTqZFK98VwM8Ke4w"
              >BSides Manchester</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UC85CvsnrVlD_44eEgzb2OfA"
              >BSidesAugusta</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UCTY3Dpz68CyrjwRzqkE4sFw"
              >CarolinaCon</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UCV9r-yMeARWVCJEesim25Ag"
              >Cort Johnson</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UCgxhfP2Hi8MQYz6ZkwpLA0A"
              >DevSecCon</a
            >
          </li>
          <li>
            <a
              href="https://www.youtube.com/channel/UCDqagqREZlmJitWco-yPtvw/feed"
              >Garage4Hackers - Information Security</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UCnv0gfLQFNGPJ5MHSGuIAkw"
              >HACKADAY</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UC0BJVNTIEbG8CLG-xVVWJnA"
              >Hack In The Box Security Conference</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UC7xJU9_oqw-vS6OJExS-2iA"
              >Hack in Paris</a
            >
          </li>
          <li>
            <a
              href="https://www.youtube.com/channel/UCI6B0zYvK-7FdM0Vgh3v3Tg/feed"
              >Hacklu</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/feed/channels">Hacktivity</a>
          </li>
          <li>
            <a
              href="https://www.youtube.com/channel/UChwYb9xc9tZXquQxu4G0l_g/featured"
              >Hardwear.io</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UC6pXMS7qre9GZW7A7FVM90Q"
              >IEEE Symposium on Security and Privacy</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UCDHsOiMPS-SLppAOAJRD37Q"
              >LASCON</a
            >
          </li>
          <li>
            <a
              href="https://www.youtube.com/channel/UCtThfJl65L04ukWp0XZi3yg/videos"
              >Marcus Niemietz</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UC2TXq_t06Hjdr2g_KdKpHQg"
              >Media.ccc.de</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UCqVhMzTdQK5VAosAGkMtpJw"
              >NorthSec</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UC3G6k7XfTgcWD2PJR8qJSkQ"
              >Pancake Nopcode</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UC-3qyzm4f29C12KGp3-12bQ"
              >Psiinon</a
            >
          </li>
          <li>
            <a
              href="https://www.youtube.com/channel/UCDNzNvZlYK8jZLsUbdiGrsQ/videos"
              >SJSU Infosec</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UCSii2fuiLLlGqaR6sR_y0rA"
              >Secappdev.org</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UCByLDp7r7gHGoO7yYMYFeWQ"
              >Security Fest</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UC2wNN-Zqiq4J1PLPnyMBWUg"
              >SecurityTubeCons</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UCnzjmL0xkTBYwFZD7agHGWw"
              >ToorCon</a
            >
          </li>
          <li>
            <a
              href="https://www.youtube.com/channel/UCIdV7bE97mSPTH1mOi_yUrw/feed"
              >USENIX Enigma Conference</a
            >
          </li>
        </ul>
      </li>
      <li>
        NEWS <a id="NEWS"></a>
        <ul>
          <li>
            <a href="https://www.youtube.com/channel/UC7dUL0FbVPGqzdb2HtWw3Xg"
              >Corey Nachreiner</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UC4HcNHFKshqj-aeyi6imW7Q"
              >Error 404 Cyber News</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/user/thefieldhouse/feed"
              >Latest Hacking News</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UChjC1q6Ami7W0E71TzPZELA"
              >Pentester Academy TV</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UCNxfV4yR0nIlhFmfwcdf3BQ"
              >SecureNinjaTV</a
            >
          </li>
          <li>
            <a href="https://www.youtube.com/channel/UCD6MWz4A61JaeGrvyoYl-rQ"
              >Troy Hunt</a
            >
          </li>
        </ul>
      </li>
      <li>
        <a href="https://www.youtube.com/user/s4myk"
          >Samy Kamkar’s Applied Hacking</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCqbkm47qBxDj-P3lI9voIAw"
          >danooct1</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCx34ZZW2KgezfUPPeL6m8Dw"
          >DedSec</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UC6Om9kAkl32dWlDSNlDS9Iw"
          >DEFCON Conference</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCJItQmwUrcW4VdUqWaRUNIg"
          >DemmSec</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCarxjDjSYsIf50Jm73V1D7g"
          >Don Does 30</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UC09NdTL2hkThGLSab8chJMw"
          >Geeks Fort - KIF</a
        >
      </li>
      <li>
        <a
          href="https://www.youtube.com/channel/UCx0HClQ_cv0sLNOVhoO2nxg/videos"
          >iExplo1t</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCbsn2kQwNxcIzHwbdDjzehA"
          >HACKING TUTORIALS</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UClcE-kVhqyiHCcjYwcpfj9w"
          >LiveOverflow</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UC9Qa_gXarSmObPX3ooIQZrg"
          >Metasploitation</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UC6J_GnSAi7F2hY4RmnMcWJw"
          >NetSecNow</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCthV50MozQIfawL9a_g5rdg"
          >Open SecurityTraining</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCoHypmu8rxlB5Axh5JxFZsA"
          >BalCCon - Balkan Computer Congress</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UC286ntgASMskhPIJQebJVvA"
          >Penetration Testing in Linux</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCAJ8Clc3188ek9T_5XTVzZQ"
          >rwbnetsec</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCg--XBjJ50a9tUhTKXVPiqg"
          >Security Weekly</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCW6xlqxSY3gGur4PkGPEUeA"
          >Seytonic</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCBwub2kRoercWQJ2mw82h3A"
          >Shozab Haxor</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCHvUTfxL_9bNQgqzekPWHtg"
          >SSTec Tutorials</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCeN7cOELsyMHrzfMsJUgv3Q"
          >Waleed Jutt</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCPeJcqbi8v46Adk59plaaXg"
          >webpwnized</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UC64x_rKHxY113KMWmprLBPA"
          >JackkTutorials</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCDk155eaoariJF2Dn2j5WKA"
          >Zer0Mem0ry</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UCCQLBOt_hbGE-b9I696VRow"
          >LionSec</a
        >
      </li>
      <li>
        <a href="https://www.youtube.com/user/irongeek">Adrian Crenshaw</a>
      </li>
      <li>
        <a href="https://www.youtube.com/channel/UC0ZTPkdxlAKf-V33tqXwi3Q"
          >HackerSploit</a
        >
      </li>
    </ul>
    <h2 id="sharpening-your-skills">Sharpening Your Skills</h2>
    <ul>
      <li>
        <a href="https://security-shepherd.ctf365.com/login.jsp"
          >OWASP Security Shepherd</a
        >
      </li>
      <li><a href="https://ctflearn.com/">CTFLearn</a></li>
      <li><a href="https://github.com/ctfs">CTFs write-ups</a></li>
      <li><a href="https://ctf365.com/">CTF365</a></li>
      <li><a href="https://lab.pentestit.ru/">Pentestit</a></li>
      <li><a href="https://www.hacksplaining.com/">Hacksplaining</a></li>
      <li>
        <a href="http://cryptopals.com/">The cryptopals crypto challenges</a>
      </li>
      <li><a href="https://www.enigmagroup.org/">The enigma group</a></li>
      <li><a href="https://ringzer0team.com/challenges">Ringzer0 Team</a></li>
      <li><a href="https://www.hackthebox.gr/en/login">Hack The Box</a></li>
      <li><a href="http://overthewire.org/wargames/">Over the wire</a></li>
      <li><a href="https://backdoor.sdslabs.co">Backdoor</a></li>
      <li><a href="https://www.vulnhub.com/">Vulnhub</a></li>
      <li><a href="https://hack.me/">Hack.me</a></li>
      <li><a href="https://www.hackthissite.org/">Hack this site!</a></li>
      <li><a href="https://exploit-exercises.com/">Exploit exercises</a></li>
      <li><a href="https://pentesterlab.com/">PentesterLab</a></li>
      <li>
        <a href="http://smashthestack.org/wargames.html">SmashTheStack</a>
      </li>
      <li><a href="https://www.root-me.org/">Root-Me</a></li>
      <li><a href="https://2017game.picoctf.com/">PicoCTF</a></li>
      <li><a href="https://shellterlabs.com/en/">Shellter Labs</a></li>
      <li><a href="https://www.pentestpractice.com/">Pentest Practice</a></li>
      <li><a href="https://pentest.training">Pentest.training</a></li>
      <li><a href="http://pwnable.kr/">pwnable.kr</a></li>
      <li><a href="http://hackburger.ee/">hackburger.ee</a></li>
      <li><a href="http://noe.systems/">http://noe.systems/</a></li>
      <li><a href="https://www.hackergateway.com/">Hacker Gateway</a></li>
      <li><a href="http://solveme.safflower.kr/">Solve Me</a></li>
      <li><a href="http://challengeland.co/">Challenge Land</a></li>
      <li>
        <a
          href="http://www.wechall.net/active_sites/all/by/site_avg/DESC/page-1"
          >Participating Challenge Sites</a
        >
      </li>
      <li><a href="http://www.hackertest.net/">Hacker test</a></li>
      <li>
        <a href="https://tuts4you.com/download.php?view.3152"
          >Crackmes.de Archive (2011-2015)</a
        >
      </li>
      <li><a href="https://ropemporium.com/">ROP Emporium</a></li>
    </ul>
    <h2 id="reverse-engineering-buffer-overflow-and-exploit-development">
      Reverse Engineering, Buffer Overflow and Exploit Development
    </h2>
    <ul>
      <li><a href="http://shell-storm.org/">Shell storm</a></li>
      <li>
        <a
          href="http://www.securitytube.net/groups?operation=view&amp;groupId=4"
          >Buffer Overflow Exploitation Megaprimer for Linux</a
        >
      </li>
      <li>
        <a href="https://securedorg.github.io/RE101/"
          >Reverse Engineering Malware 101</a
        >
      </li>
      <li>
        <a href="https://securedorg.github.io/RE102/"
          >Reverse Engineering Malware 102</a
        >
      </li>
      <li>
        <a href="https://github.com/RPISEC/MBE"
          >Modern Binary Exploitation - CSCI 4968</a
        >
      </li>
      <li>
        <a href="http://www.opensecuritytraining.info/IntroX86.html"
          >Introductory Intel x86</a
        >
      </li>
      <li>
        <a href="http://liveoverflow.com/binary_hacking/index.html"
          >Binary hacking</a
        >
      </li>
      <li>
        <a href="https://dhavalkapil.com/blogs/Shellcode-Injection/"
          >Shellcode Injection</a
        >
      </li>
      <li>
        <a href="https://beginners.re/RE4B-EN.pdf"
          >Reverse Engineering for Beginners</a
        >
      </li>
      <li>
        <a href="http://www.primalsecurity.net/tutorials/exploit-tutorials/"
          >Exploit tutorials</a
        >
      </li>
      <li>
        <a href="https://0x00sec.org/c/exploit-development"
          >Exploit development</a
        >
      </li>
      <li>
        <a
          href="https://www.corelan.be/index.php/2009/07/19/exploit-writing-tutorial-part-1-stack-based-overflows/"
          >Corelan tutorials</a
        >
      </li>
      <li>
        <a
          href="https://github.com/onethawt/reverseengineering-reading-list/blob/master/README.md"
          >Reverse engineering reading list</a
        >
      </li>
      <li>
        <a href="https://challenges.re/">Reverse Engineering challenges</a>
      </li>
      <li>
        <a href="https://github.com/dennis714/RE-for-beginners"
          >Reverse Engineering for beginners (GitHub project)</a
        >
      </li>
      <li>
        <a href="http://www.reversing.kr/challenge.php"
          >reversing.kr challenges</a
        >
      </li>
      <li>
        <a
          href="https://www.it-sec-catalog.info/analysis_and_exploitation_unprivileged.html"
          >Analysis and exploitation (unprivileged)</a
        >
      </li>
      <li>
        <a href="https://github.com/nnamon/linux-exploitation-course"
          >A Course on Intermediate Level Linux Exploitation</a
        >
      </li>
      <li>
        <a href="https://tuts4you.com/download.php?view.2876"
          >Lena’s Reversing for Newbies (Complete)</a
        >
      </li>
      <li>
        <a href="https://www.megabeets.net/a-journey-into-radare-2-part-1/"
          >Megabeets journey into Radare2</a
        >
      </li>
    </ul>
    <h2 id="privilege-escalation">Privilege Escalation</h2>
    <ul>
      <li>
        <a href="https://hackmag.com/security/reach-the-root/"
          >Reach the root</a
        >
      </li>
      <li>
        <a
          href="https://blog.g0tmi1k.com/2011/08/basic-linux-privilege-escalation/"
          >Basic linux privilege escalation</a
        >
      </li>
      <li>
        <a
          href="http://www.bhafsec.com/wiki/index.php/Windows_Privilege_Escalation"
          >Windows Privilege Escalation</a
        >
      </li>
      <li>
        <a href="https://github.com/AusJock/Privilege-Escalation"
          >Privilege escalation for Windows and Linux</a
        >
      </li>
      <li>
        <a href="http://www.fuzzysecurity.com/tutorials/16.html"
          >Windows Privilege Escalation Fundamentals</a
        >
      </li>
      <li><a href="https://github.com/NullArray/RootHelper">RootHelper</a></li>
      <li>
        <a href="https://github.com/abatchy17/WindowsExploits"
          >Windows exploits, mostly precompiled.</a
        >
      </li>
      <li>
        <a href="http://pentestmonkey.net/tools/audit/unix-privesc-check"
          >Unix privesc checker</a
        >
      </li>
      <li>
        <a
          href="http://resources.infosecinstitute.com/privilege-escalation-linux-live-examples/"
          >Privilege escalation linux with live example</a
        >
      </li>
      <li>
        <a
          href="https://github.com/netbiosX/Checklists/blob/master/Windows-Privilege-Escalation.md"
          >Windows privilege escalation checker</a
        >
      </li>
      <li>
        <a href="http://netsec.ws/?p=309#more-309"
          >Linux Privilege Escalation Scripts</a
        >
      </li>
      <li>
        <a href="https://github.com/ngalongc/AutoLocalPrivilegeEscalation"
          >AutoLocalPrivilegeEscalation</a
        >
      </li>
      <li>
        <a href="https://github.com/sleventyeleven/linuxprivchecker"
          >Linux Privilege Escalation Check Script</a
        >
      </li>
      <li>
        <a href="https://www.rebootuser.com/?p=1623"
          >Local Linux Enumeration &amp; Privilege Escalation Cheatsheet</a
        >
      </li>
      <li>
        <a
          href="http://www.hackingarticles.in/4-ways-get-linux-privilege-escalation/"
          >4 Ways get linux privilege escalation</a
        >
      </li>
    </ul>
    <h2 id="malware-analysis">Malware Analysis</h2>
    <ul>
      <li>
        <a href="http://www.malware-traffic-analysis.net/"
          >Malware traffic analysis</a
        >
      </li>
      <li>
        <a href="https://github.com/RPISEC/Malware/blob/master/README.md"
          >Malware Analysis - CSCI 4976</a
        >
      </li>
    </ul>
    <h2 id="network-scanning-reconnaissance">
      Network Scanning / Reconnaissance
    </h2>
    <ul>
      <li>
        <a
          href="https://www.sans.org/reading-room/whitepapers/hackers/fundamentals-computer-hacking-956"
          >Foot Printing with WhoIS/DNS records</a
        >
      </li>
      <li>
        <a
          href="https://d4msec.wordpress.com/2015/09/03/google-dorks-for-finding-emails-admin-users-etc/"
          >Google Dorks/Google Hacking</a
        >
      </li>
    </ul>
    <h2 id="vulnerable-web-application">Vulnerable Web Application</h2>
    <ul>
      <li>
        <a href="https://github.com/Hackademic/hackademic/"
          >OWASP Hackademic Challenges project</a
        >
      </li>
      <li><a href="http://www.itsecgames.com/">bWAPP</a></li>
      <li>
        <a href="http://www.dvwa.co.uk/"
          >Damn Vulnerable Web Application (DVWA)</a
        >
      </li>
      <li>
        <a href="https://github.com/s4n7h0/xvwa"
          >Xtreme Vulnerable Web Application (XVWA)</a
        >
      </li>
      <li>
        <a href="https://github.com/WebGoat/WebGoat"
          >WebGoat: A deliberately insecure Web Application</a
        >
      </li>
      <li>
        <a href="https://sourceforge.net/projects/mutillidae/files/"
          >OWASP Mutillidae II</a
        >
      </li>
      <li>
        <a href="https://github.com/chuckfw/owaspbwa/"
          >OWASP Broken Web Applications Project</a
        >
      </li>
      <li>
        <a href="https://github.com/stamparm/DSVW">Damn Small Vulnerable Web</a>
      </li>
      <li>
        <a href="https://github.com/bkimminich/juice-shop">OWASP Juice Shop</a>
      </li>
      <li><a href="https://google-gruyere.appspot.com/">Google Gruyere</a></li>
    </ul>
    <h2 id="vulnerable-os">Vulnerable OS</h2>
    <ul>
      <li>
        <a
          href="https://sourceforge.net/projects/metasploitable/files/Metasploitable2/"
          >Metasploitable2 (Linux)</a
        >
      </li>
      <li>
        <a href="https://github.com/rapid7/metasploitable3">Metasploitable3</a>
        [<a
          href="https://github.com/rapid7/metasploitable3/blob/master/README.md"
          >Installation</a
        >]
      </li>
      <li><a href="https://www.vulnhub.com/">Vulnhub</a></li>
      <li>
        <a href="https://community.rapid7.com/docs/DOC-2196"
          >General Test Environment Guidance</a
        >
      </li>
    </ul>
    <h2 id="linux-penetration-testing-os">Linux Penetration Testing OS</h2>
    <ul>
      <li><a href="https://backbox.org/index">BackBox</a></li>
      <li><a href="https://blackarch.org/index.html">BlackArch</a></li>
      <li><a href="http://kali.org/">Kali</a></li>
      <li><a href="https://lionsec-linux.org/">LionSec Linux</a></li>
      <li><a href="https://www.parrotsec.org/">Parrot</a></li>
    </ul>
    <h2 id="exploits">Exploits</h2>
    <ul>
      <li><a href="https://www.exploit-db.com/">Exploit Database</a></li>
      <li><a href="https://cxsecurity.com/exploit/">CXsecurity</a></li>
      <li><a href="http://0day.today/">0day.today</a></li>
      <li><a href="https://snyk.io/vuln/">Snyk Vulnerability DB</a></li>
    </ul>
    <h2 id="forums">Forums</h2>
    <ul>
      <li><a href="https://greysec.net">Greysec</a></li>
      <li><a href="https://hackforums.net/">Hackforums</a></li>
      <li><a href="https://0x00sec.org/">0x00sec</a></li>
      <li><a href="https://forum.antichat.ru/">Antichat</a></li>
    </ul>
    <h2 id="archived-security-conference-videos">
      Archived Security Conference Videos
    </h2>
    <ul>
      <li><a href="https://infocon.org/cons/">InfoCon.org</a></li>
      <li><a href="http://www.irongeek.com/">Irongeek</a></li>
    </ul>
    <h2 id="online-communities">Online Communities</h2>
    <ul>
      <li><a href="http://t.me/hacking_group_channel">Hack+</a></li>
    </ul>
    <h2 id="online-news-sources">Online News Sources</h2>
    <ul>
      <li><a href="http://www.infosecurity-magazine.com/">InfoSec</a></li>
      <li><a href="https://threatpost.com/">Threatpost</a></li>
      <li>
        <a
          href="https://securityintelligence.com/news/git-vulnerabilities-found-in-version-control-systems/"
          >Security Intell</a
        >
      </li>
      <li><a href="https://thehackernews.com/">The Hacker News</a></li>
    </ul>
  </body>
</html>
